Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Interface IPermissible

All Known Implementing Classes:
  CGroupsManager, CUserManager, CUserManagerPermissions, PermissiblePublishChannels, PermissibleSubscribeChannels

    public interface IPermissible

This interface represents the set of questions any channel or service ("Owner") must answer if it wants to delegate the responsibility of assigning and viewing permissions to the Permissions Manager channel. Owners will be registered by the IPermissible classname that represents them. These classnames will be stored in a database "UP_PERMISSIBLE"

Version:
  $Revision: 1.2 $
Author:
  Alex vigdor av317@columbia.edu

Method Summary
`java.lang.String` | `getActivityName(java.lang.String token)` For a given activity token, return a human-readable string that describes the activity.
`java.lang.String[]` | `getActivityTokens()` Return a list of tokens representing all the activities this channel controls with permissions.
`java.lang.String` | `getOwnerName()` Human-readable name of the owner - normally the Channel name.
`java.lang.String` | `getOwnerToken()` Return the token used by this channel to represent itself as the owner of generated permissions.
`java.lang.String` | `getTargetName(java.lang.String token)` Return the human readable name of a target
`java.lang.String[]` | `getTargetTokens()` Return an array of tokens representing all targets this channel controls with permissions.

Method Detail

### getActivityTokens

    java.lang.String[] getActivityTokens()

  Return a list of tokens representing all the activities this channel controls with permissions. These tokens can be used by the channel to ascertain permissions at runtime after they have been entered with the Permissions manager

### getActivityName

    java.lang.String getActivityName(java.lang.String token)

  For a given activity token, return a human-readable string that describes the activity. Used in rendering the Permissions Manager GUI.

### getTargetTokens

    java.lang.String[] getTargetTokens()

  Return an array of tokens representing all targets this channel controls with permissions.

### getTargetName

    java.lang.String getTargetName(java.lang.String token)

  Return the human readable name of a target

### getOwnerToken

    java.lang.String getOwnerToken()

  Return the token used by this channel to represent itself as the owner of generated permissions. Can be arbitrary, but must be unique - I've been using classnames. This is also used by the channel to request a PermissionManager from the AuthorizationService at runtime.

### getOwnerName

    java.lang.String getOwnerName()

  Human-readable name of the owner - normally the Channel name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD